Bug 495831 - OCaml bindings linked to build directory
OCaml bindings linked to build directory
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: llvm (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Bryan O'Sullivan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 22:08 EDT by Chris Wailes
Modified: 2009-09-08 21:52 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.5-5.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-08 21:51:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A myocamlbuild.ml file to help in building any test files you might want to compile. (283 bytes, application/octet-stream)
2009-04-14 22:09 EDT, Chris Wailes
no flags Details
A _tags file for helping to build any test files you might need with ocamlbuild. (167 bytes, application/octet-stream)
2009-04-14 22:12 EDT, Chris Wailes
no flags Details

  None (edit)
Description Chris Wailes 2009-04-14 22:08:30 EDT
Description of problem:
Some of the OCaml bindings binary files for LLVM contain references to their build directory (/builddir/build/BUILD/llvm-2.4/Release/lib).  This causes problems when trying to compile a program using the bindings.  I found these references in the following files:

llvm_analysis.cma
llvm_analysis.cmxa
llvm_bitreader.cma
llvm_bitreader.cmxa
llvm_bitwriter.cma
llvm_bitwriter.cmxa
llvm.cma
llvm.cmxa
llvm_executionengine.cma
llvm_executionengine.cmxa
llvm_scalar_opts.cma
llvm_scalar_opts.cmxa
llvm_target.cma
llvm_target.cmxa

Version-Release number of selected component (if applicable):
2.4-4

How reproducible:
Guaranteed 

Steps to Reproduce:
1. Open one of the following modules in an OCaml file and use their functions
     - Llvm_executionengine
     - Llvm_scalar_opts
     - Llvm_target
2. Copy the _tags and myocamlbuild.ml files into your current directory.
3. Attempt to build your file by executing "ocamlbuild <filename>.byte"
  
Actual results:
The build fails saying it can't find the directory /builddir/build/BUILD/llvm-2.4/Release/lib.

Expected results:
Compilation of the file.

Additional info:
Comment 1 Chris Wailes 2009-04-14 22:09:57 EDT
Created attachment 339604 [details]
A myocamlbuild.ml file to help in building any test files you might want to compile.
Comment 2 Chris Wailes 2009-04-14 22:12:56 EDT
Created attachment 339605 [details]
A _tags file for helping to build any test files you might need with ocamlbuild.
Comment 3 Fedora Update System 2009-08-22 21:36:25 EDT
llvm-2.5-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/llvm-2.5-5.fc11
Comment 4 Fedora Update System 2009-08-22 21:36:30 EDT
llvm-2.5-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/llvm-2.5-5.fc10
Comment 5 Fedora Update System 2009-08-25 00:30:43 EDT
llvm-2.5-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update llvm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8922
Comment 6 Fedora Update System 2009-08-25 00:36:27 EDT
llvm-2.5-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update llvm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8937
Comment 7 Fedora Update System 2009-09-08 21:50:59 EDT
llvm-2.5-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-09-08 21:51:57 EDT
llvm-2.5-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.